<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.jdbc" name="%pluginName" version="5.0.1"
        provider-name="%providerName"
        class="com.metamatrix.modeler.jdbc.JdbcPlugin">

   <runtime>
      <library name="modelerJdbc_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerJdbc.jar">
         <export name="*"/>
      </library>
      <library name="lib/metamatrix-jdbc_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="lib/metamatrix-jdbc.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="org.eclipse.emf.ecore.edit"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.aspectj.runtime"/>
      <import plugin="com.metamatrix.core.aspectj"/>
      <import plugin="org.bouncycastle_1.4"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="org.apache.poi"/>
   </requires>


   <!--
   	Each extension below represents a single metamodel.  Each metmodel is
   	registered using under the specified <uri> value.  The <internalUri>
   	value defines the physical URI used when determining the necessary
   	resource factory used to create a resource of this type.  The <resource>
    value defines the location of the ecore XMI file within the archive.
   -->
   <extension id="jdbcMetamodel" name="%metamodelName"
              point="com.metamatrix.modeler.core.metamodel">
      <namespacePrefix>
         jdbc
      </namespacePrefix>
      <uri>
         http://www.metamatrix.com/metamodels/JDBC
      </uri>
      <internalUri>
         mtkplugin:///com.metamatrix.metamodels.jdbc
      </internalUri>
      <factoryClass name="com.metamatrix.modeler.jdbc.impl.JdbcFactoryImpl">
      </factoryClass>
      <packageClass name="com.metamatrix.modeler.jdbc.impl.JdbcPackageImpl">
      </packageClass>
      <adapterClass name="com.metamatrix.modeler.jdbc.provider.JdbcItemProviderAdapterFactory">
      </adapterClass>
      <properties createAsPhysical="false" requiresProxies="false" participatoryOnly="true"
                  supportsExtension="true"
                  createAsVirtual="false">
      </properties>
   </extension>

</plugin>